Subject: Re: bug#75569: 30.0.93; Large /proc/* file are read incompletely

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Jan 2025 12:54:25 +0200

> Date: Sat, 18 Jan 2025 09:35:34 -0800
> Cc: [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2025-01-18 02:44, Eli Zaretskii wrote:
> >> In other words, when reading a file Emacs should treat st_size as merely
> >> a heuristic, not as authoritative.
> > But does it do that now?  Regular files whose size changes as we read
> > them are pretty rare, so maybe we almost never bump into them.
> 
> No, it doesn't do it now, and that's the main bug here. Fix that, and 
> this other stuff isn't needed (and likely gets simplified away).

Patches welcome, then.

For now, I've installed a fix that Juri tested, to fix the regression.